NSGraphInternal::SubDocument Class Reference

Internal: the subdocument of a NSGraph. More...

Inheritance diagram for NSGraphInternal::SubDocument:

## Public Member Functions

| SubDocument (NSGraph &pars, MWAWInputStreamPtr input, int id, MWAWPosition const &pos, WPXPropertyList const &extras)
virtual | ~SubDocument ()
| destructor More...
virtual bool | operator!= (MWAWSubDocument const &doc) const
| operator!= More...
virtual bool | operator== (MWAWSubDocument const &doc) const
| operator!== More...
void | parse (MWAWContentListenerPtr &listener, libmwaw::SubDocumentType type)
| the parser function More...
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input More...
| MWAWSubDocument (MWAWSubDocument const &doc)
| copy constructor More...
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)
| copy operator More...
virtual | ~MWAWSubDocument ()
| virtual destructor More...
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator== More...
bool | operator!= (shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!= More...
bool | operator== (shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator== More...

## Protected Attributes

NSGraph * | m_graphParser
| the graph parser More...
int | m_id
| the pict id More...
MWAWPosition | m_position
| the pict position More...
WPXPropertyList | m_extras
| the property list More...
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser More...
shared_ptr< MWAWInputStream > | m_input
| the input More...
MWAWEntry | m_zone
| if valid the zone to parse More...

## Private Member Functions

| SubDocument (SubDocument const &orig)
SubDocument & | operator= (SubDocument const &orig)

## Detailed Description

Internal: the subdocument of a NSGraph.

## Constructor & Destructor Documentation

NSGraphInternal::SubDocument::SubDocument | ( | NSGraph & | pars,
|  | MWAWInputStreamPtr | input,
|  | int | id,
|  | MWAWPosition const & | pos,
|  | WPXPropertyList const & | extras
| ) |  |

inline

virtual NSGraphInternal::SubDocument::~SubDocument | ( |  | ) |

inline virtual

destructor

NSGraphInternal::SubDocument::SubDocument | ( | SubDocument const & | orig | ) |

private

## Member Function Documentation

bool NSGraphInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const

virtual

operator!=

Reimplemented from MWAWSubDocument.

Referenced by operator==().

SubDocument& NSGraphInternal::SubDocument::operator= | ( | SubDocument const & | orig | ) |

private

virtual bool NSGraphInternal::SubDocument::operator== | ( | MWAWSubDocument const & | doc | ) | const

inline virtual

operator!==

void NSGraphInternal::SubDocument::parse | ( | MWAWContentListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type
| ) |  |

virtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

WPXPropertyList NSGraphInternal::SubDocument::m_extras

protected

the property list

Referenced by parse().

NSGraph* NSGraphInternal::SubDocument::m_graphParser

protected

the graph parser

Referenced by operator!=(), and parse().

int NSGraphInternal::SubDocument::m_id

protected

the pict id

Referenced by operator!=(), and parse().

MWAWPosition NSGraphInternal::SubDocument::m_position

protected

the pict position

Referenced by operator!=(), and parse().

The documentation for this class was generated from the following file:

- NSGraph.cxx